Skip to main content

Subscriptions

Subscriptions are a declaration of interest in a particular resource, allowing a user to receive notifications when certain events occur. The events that trigger notifications are controlled by the type of subscription.


Objects​

Subscription​

PathJSON TypeFormatDescription
idstringVersion 4 UUIDThe subscription ID
createdstringISO 8601 timestampThe instant the subscription was created at
lastModifiedstringISO 8601 timestampThe instant the subscription was last modified at
typestringSubscription TypeThe type of subscription
{
"id" : "756ac62b-3863-4206-9f28-050c7bcd51d8",
"created" : "2026-10-23T13:54:17.136367",
"lastModified" : "2026-10-23T13:54:17.136368",
"type" : "ALL",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/756ac62b-3863-4206-9f28-050c7bcd51d8"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/756ac62b-3863-4206-9f28-050c7bcd51d8",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/756ac62b-3863-4206-9f28-050c7bcd51d8",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/5d62f905-36d9-43e7-98f0-31695b755082"
}
}
}

Formats​

Subscription Type​

string

ValueDescription
ALLTriggers notifications for all resource events
ALERTSTriggers notifications for resource alert events only
NONEDoes not trigger any notifications

Requests​

View all subscriptions​

GET /api/subscriptions

Returns all subscriptions for the authenticated user profile.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions' -i -X GET

Response​

200 OK

Subscription collection with HAL links.

{
"_embedded" : {
"subscriptions" : [ {
"id" : "756ac62b-3863-4206-9f28-050c7bcd51d8",
"created" : "2026-10-23T13:54:17.136367",
"lastModified" : "2026-10-23T13:54:17.258537",
"type" : "ALERTS",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/756ac62b-3863-4206-9f28-050c7bcd51d8"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/756ac62b-3863-4206-9f28-050c7bcd51d8",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/756ac62b-3863-4206-9f28-050c7bcd51d8",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/5d62f905-36d9-43e7-98f0-31695b755082"
}
}
}, {
"id" : "d132d4ee-5ad0-45da-a713-ea65dc02a585",
"created" : "2026-10-23T13:54:17.517039",
"lastModified" : "2026-10-23T13:54:17.51704",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"dataset" : {
"id" : "5d7fccfc-a759-4a02-96d5-0df224a118fe",
"published" : "2026-10-23T13:54:11.685732",
"alias" : "simple-bar-chart",
"workspaceId" : "2118f207-1077-4c44-8c85-73935ff3041c",
"source" : "matatika-limited",
"title" : "How many people have visited our website?",
"description" : "# Some Markdown\n- point 1\n- point 2\n- point 3\n",
"questions" : "[''This is my question'', ''this is second question'']",
"visualisation" : "{\"google-chart\": {\"chartType\": \"BarChart\",\"options\": {\"title\": \"Website visitors\"}}}",
"query" : "SELECT to_char(date(report_date),'YYYYMM') as year_month, SUM(sessions) \n FROM\n \"google_analytics_website_overview\"\n WHERE\n \"google_analytics_website_overview\".\"report_date\" >= DATE(NOW()) - INTERVAL '365 DAY'\n GROUP BY year_month\n ORDER BY year_month ASC;",
"likeCount" : 0,
"likedByProfiles" : [ ],
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-23T13:54:11.703062",
"score" : 1.0
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/d132d4ee-5ad0-45da-a713-ea65dc02a585"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/d132d4ee-5ad0-45da-a713-ea65dc02a585",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/d132d4ee-5ad0-45da-a713-ea65dc02a585",
"type" : "PUT"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/5d7fccfc-a759-4a02-96d5-0df224a118fe"
}
}
}, {
"id" : "ac2efcdb-0709-48ca-af3a-8f45bc420143",
"created" : "2026-10-23T13:54:23.249177",
"lastModified" : "2026-10-23T13:54:23.249178",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"pipeline" : {
"id" : "29782e97-63ed-4faf-8ab2-639748d68639",
"label" : "SIT-generated-pipeline",
"name" : "sit-generated-pipeline",
"lastModified" : "2026-10-23T13:54:18.016016"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/ac2efcdb-0709-48ca-af3a-8f45bc420143"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/ac2efcdb-0709-48ca-af3a-8f45bc420143",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/ac2efcdb-0709-48ca-af3a-8f45bc420143",
"type" : "PUT"
},
"pipeline" : {
"href" : "https://app.meltano.com/api/pipelines/29782e97-63ed-4faf-8ab2-639748d68639"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}

View all member subscriptions to a workspace​

GET /api/workspaces/{workspace-id}/members/subscriptions

Returns all member subscriptions to the workspace {workspace-id}.

Prerequisites​

  • Workspace {workspace-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/2118f207-1077-4c44-8c85-73935ff3041c/members/subscriptions' -i -X GET

Response​

200 OK

Subscription collection with HAL links.

{
"_embedded" : {
"subscriptions" : [ {
"id" : "d8cf7d32-f12e-4be7-a18f-0dc43d1e8e3b",
"created" : "2026-10-23T13:54:23.396569",
"lastModified" : "2026-10-23T13:54:23.396571",
"type" : "ALL",
"_embedded" : {
"subscriberWorkspace" : {
"id" : "2118f207-1077-4c44-8c85-73935ff3041c",
"name" : "Test Workspace [2026-10-23T13:54:10.488794694]"
},
"workspace" : {
"id" : "2118f207-1077-4c44-8c85-73935ff3041c",
"name" : "Test Workspace [2026-10-23T13:54:10.488794694]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/d8cf7d32-f12e-4be7-a18f-0dc43d1e8e3b"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/d8cf7d32-f12e-4be7-a18f-0dc43d1e8e3b",
"type" : "PUT"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/d8cf7d32-f12e-4be7-a18f-0dc43d1e8e3b",
"type" : "DELETE"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/2118f207-1077-4c44-8c85-73935ff3041c"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/workspaces/2118f207-1077-4c44-8c85-73935ff3041c/members/subscriptions?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 1,
"totalPages" : 1,
"number" : 0
}
}

View a subscription​

GET /api/subscriptions/{subscription-id}

Returns the subscription {subscription-id}.

Prerequisites​

  • Subscription {subscription-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions/756ac62b-3863-4206-9f28-050c7bcd51d8' -i -X GET

Response​

200 OK

Subscription with HAL links.

{
"id" : "756ac62b-3863-4206-9f28-050c7bcd51d8",
"created" : "2026-10-23T13:54:17.136367",
"lastModified" : "2026-10-23T13:54:17.136368",
"type" : "ALL",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/756ac62b-3863-4206-9f28-050c7bcd51d8"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/756ac62b-3863-4206-9f28-050c7bcd51d8",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/756ac62b-3863-4206-9f28-050c7bcd51d8",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/5d62f905-36d9-43e7-98f0-31695b755082"
}
}
}

Subscribe to a workspace​

POST /api/workspaces/{workspace-id}/subscriptions

Subscribes the authenticated user profile to the workspace {workspace-id}.

By default, the subscription is configured for all workspace events (see Subscription Type for more information).

Prerequisites​

  • Workspace {workspace-id} must exist

Query Parameters​

ParameterRequiredFormatDefault ValueDescription
allMembersNoBooleanfalseWhether or not to subscribe the workspace to workspace events, in order to enable workspace-wide notifications for all members by default (applicable for the workspace owner only)
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/2118f207-1077-4c44-8c85-73935ff3041c/subscriptions?allMembers=true' -i -X POST \
-H 'Content-Type: application/json'

Response​

200 OK

Subscription with HAL links.

{
"id" : "d8cf7d32-f12e-4be7-a18f-0dc43d1e8e3b",
"created" : "2026-10-23T13:54:23.396569029",
"lastModified" : "2026-10-23T13:54:23.396570622",
"type" : "ALL",
"_embedded" : {
"subscriberWorkspace" : {
"id" : "2118f207-1077-4c44-8c85-73935ff3041c",
"name" : "Test Workspace [2026-10-23T13:54:10.488794694]"
},
"workspace" : {
"id" : "2118f207-1077-4c44-8c85-73935ff3041c",
"name" : "Test Workspace [2026-10-23T13:54:10.488794694]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/d8cf7d32-f12e-4be7-a18f-0dc43d1e8e3b"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/d8cf7d32-f12e-4be7-a18f-0dc43d1e8e3b",
"type" : "PUT"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/d8cf7d32-f12e-4be7-a18f-0dc43d1e8e3b",
"type" : "DELETE"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/2118f207-1077-4c44-8c85-73935ff3041c"
}
}
}

Subscribe to a channel​

POST /api/channels/{channel-id}/subscriptions

Subscribes the authenticated user profile to the channel {channel-id}.

By default, the subscription is configured for all channel events (see Subscription Type for more information).

Prerequisites​

  • Channel {channel-id} must exist

Query Parameters​

ParameterRequiredFormatDefault ValueDescription
allMembersNoBooleanfalseWhether or not to subscribe the workspace to channel events, enabling notifications for all members by default (applicable for the workspace owner only)
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/channels/5d62f905-36d9-43e7-98f0-31695b755082/subscriptions' -i -X POST \
-H 'Content-Type: application/json'

Response​

200 OK

Subscription with HAL links.

{
"id" : "756ac62b-3863-4206-9f28-050c7bcd51d8",
"created" : "2026-10-23T13:54:17.136367045",
"lastModified" : "2026-10-23T13:54:17.136368062",
"type" : "ALL",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/756ac62b-3863-4206-9f28-050c7bcd51d8"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/756ac62b-3863-4206-9f28-050c7bcd51d8",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/756ac62b-3863-4206-9f28-050c7bcd51d8",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/5d62f905-36d9-43e7-98f0-31695b755082"
}
}
}

Subscribe to a dataset​

POST /api/datasets/{dataset-id}/subscriptions

Subscribes the authenticated user profile to the dataset {dataset-id}.

By default, the subscription is configured for all dataset events (see Subscription Type for more information).

Prerequisites​

  • Dataset {dataset-id} must exist

Query Parameters​

ParameterRequiredFormatDefault ValueDescription
allMembersNoBooleanfalseWhether or not to subscribe the workspace to dataset events, enabling notifications for all members by default (applicable for the workspace owner only)
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/5d7fccfc-a759-4a02-96d5-0df224a118fe/subscriptions' -i -X POST \
-H 'Content-Type: application/json'

Response​

200 OK

Subscription with HAL links.

{
"id" : "d132d4ee-5ad0-45da-a713-ea65dc02a585",
"created" : "2026-10-23T13:54:17.517038806",
"lastModified" : "2026-10-23T13:54:17.517039999",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"dataset" : {
"id" : "5d7fccfc-a759-4a02-96d5-0df224a118fe",
"published" : "2026-10-23T13:54:11.685732",
"alias" : "simple-bar-chart",
"workspaceId" : "2118f207-1077-4c44-8c85-73935ff3041c",
"source" : "matatika-limited",
"title" : "How many people have visited our website?",
"description" : "# Some Markdown\n- point 1\n- point 2\n- point 3\n",
"questions" : "[''This is my question'', ''this is second question'']",
"visualisation" : "{\"google-chart\": {\"chartType\": \"BarChart\",\"options\": {\"title\": \"Website visitors\"}}}",
"query" : "SELECT to_char(date(report_date),'YYYYMM') as year_month, SUM(sessions) \n FROM\n \"google_analytics_website_overview\"\n WHERE\n \"google_analytics_website_overview\".\"report_date\" >= DATE(NOW()) - INTERVAL '365 DAY'\n GROUP BY year_month\n ORDER BY year_month ASC;",
"likeCount" : 0,
"likedByProfiles" : [ ],
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-23T13:54:11.703062",
"score" : 1.0
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/d132d4ee-5ad0-45da-a713-ea65dc02a585"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/d132d4ee-5ad0-45da-a713-ea65dc02a585",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/d132d4ee-5ad0-45da-a713-ea65dc02a585",
"type" : "PUT"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/5d7fccfc-a759-4a02-96d5-0df224a118fe"
}
}
}

Subscribe to a pipeline​

POST /api/pipelines/{pipeline-id}/subscriptions

Subscribes the authenticated user profile to the pipeline {pipeline-id}.

By default, the subscription is configured for all pipeline events (see Subscription Type for more information).

Prerequisites​

  • Pipeline {pipeline-id} must exist

Query Parameters​

ParameterRequiredFormatDefault ValueDescription
allMembersNoBooleanfalseWhether or not to subscribe the workspace to pipeline events, enabling notifications for all members by default (applicable for the workspace owner only)
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/pipelines/29782e97-63ed-4faf-8ab2-639748d68639/subscriptions' -i -X POST \
-H 'Content-Type: application/json'

Response​

200 OK

Subscription with HAL links.

{
"id" : "ac2efcdb-0709-48ca-af3a-8f45bc420143",
"created" : "2026-10-23T13:54:23.249176707",
"lastModified" : "2026-10-23T13:54:23.249177908",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"pipeline" : {
"id" : "29782e97-63ed-4faf-8ab2-639748d68639",
"label" : "SIT-generated-pipeline",
"name" : "sit-generated-pipeline",
"lastModified" : "2026-10-23T13:54:18.016016"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/ac2efcdb-0709-48ca-af3a-8f45bc420143"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/ac2efcdb-0709-48ca-af3a-8f45bc420143",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/ac2efcdb-0709-48ca-af3a-8f45bc420143",
"type" : "PUT"
},
"pipeline" : {
"href" : "https://app.meltano.com/api/pipelines/29782e97-63ed-4faf-8ab2-639748d68639"
}
}
}

Update a subscription​

PUT /api/subscriptions/{subscription-id}

Updates the subscription {subscription-id}.

Prerequisites​

  • Subscription {subscription-id} must exist

Body​

PathJSON TypeFormatDescription
typestringSubscription TypeThe type of subscription
{
"type" : "ALERTS"
}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions/756ac62b-3863-4206-9f28-050c7bcd51d8' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"type" : "ALERTS"
}'

Response​

200 OK

Subscription with HAL links.

{
"id" : "756ac62b-3863-4206-9f28-050c7bcd51d8",
"created" : "2026-10-23T13:54:17.136367",
"lastModified" : "2026-10-23T13:54:17.258537322",
"type" : "ALERTS",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/756ac62b-3863-4206-9f28-050c7bcd51d8"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/756ac62b-3863-4206-9f28-050c7bcd51d8",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/756ac62b-3863-4206-9f28-050c7bcd51d8",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/5d62f905-36d9-43e7-98f0-31695b755082"
}
}
}

Remove a subscription​

DELETE /api/subscriptions/{subscription-id}

Removes the subscription {subscription-id}.

Prerequisites​

  • Subscription {subscription-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions/756ac62b-3863-4206-9f28-050c7bcd51d8' -i -X DELETE

Response​

204 No Content

No response body provided.